#include <Arduino.h>

#include <WiFi.h>
#include <ESPAsyncWebServer.h>

#include "wifi-credentials.h"

AsyncWebServer server(80);

const char index_html[] PROGMEM = R"rawliteral(
<!DOCTYPE HTML>
<html>
<head>
	<title>ESP Web Server</title>
</head>
<body>
	<p>Hello world!</p>
</body>
</html>
)rawliteral";

void setup()
{
	Serial.begin(115200);

	// Connect to Wi-Fi
	WiFi.begin(wifi_ssid, wifi_password);
	while (WiFi.status() != WL_CONNECTED)
	{
		delay(1000);
		Serial.println("Connecting to Wifi...");
	}

	// Print ESP Local IP Address
	Serial.print("Wifi connected, ip=");
	Serial.println(WiFi.localIP());

	server.on("/", HTTP_GET, [](AsyncWebServerRequest *request)
	{
		request->send(200, "text/html", index_html);
	});

	server.begin();
	Serial.println("HTTP server started");
}

void loop()
{
	delay(1000);
}
